Skip to content

Get prompt templates.​

GET
/backend/v1/prompts/templates

Retrieves a list of prompt templates that match the given criteria,
with the option to adjust the limit for more results.

Authorizations​

HTTPBearer
Type
HTTP (bearer)

Parameters​

Query Parameters

before

ID of an api token, only return results created before that token. Or if datetime instead of ID, will only return results before that datetime

after

ID of an api token, only return results created after that token. Or if datetime instead of ID, will only return results after that datetime

limit

Limits the amount of returned objects. Max 100, min 1

Type
integer
Default
10
Maximum
100
Minimum
1
project

Filter by project ID or friendly ID.

Responses​

Successful Response

application/json
JSON
{
  
"promptTemplates": [
  
  
{
  
  
  
"createdAt": "string",
  
  
  
"id": "string",
  
  
  
"name": "string",
  
  
  
"projectId": "string",
  
  
  
"promptId": "string",
  
  
  
"userId": "string"
  
  
}
  
]
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI

Updated at: